/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.CompaniaBancaria;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderCompaniaBancaria implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
        CompaniaBancaria companiaBancaria = (CompaniaBancaria) o;

        Listcell lc = new Listcell(companiaBancaria.getCompaniabancariaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(companiaBancaria.getCvecompania());
        lc.setParent(lstm);

        lc = new Listcell(companiaBancaria.getCvesucursal());
        lc.setParent(lstm);

        lstm.setAttribute("data", companiaBancaria);
    }
}
